- url = genus.id ? admin_genus_path(genus) : admin_genera_path
= form_for genus, url: url, html: { class: '_container--small' } do |f|
  = render 'layouts/form_errors',
           entity: genus,
           message: t('.errors', count: genus.errors.count)

  .rui-field
    = f.label :name
    = f.text_field :name, required: true
  .rui-field
    = f.label :family_id, t('activerecord.attributes.genus.family')
    = f.collection_select :family_id,
                          Family.order(:name),
                          :id,
                          :name,
                          { include_blank: true },
                          { required: true }
  .rui-field
    = f.label :source
    = f.url_field :source

  = render 'layouts/form_actions'
